> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passage.coinlist.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List requirements for all options of an offer



## OpenAPI

````yaml /api-reference/openapi.json get /v1/offers/{offer_id}/requirements
openapi: 3.0.0
info:
  title: Frontline API
  version: 0.1.0
servers:
  - url: https://api.coinlist.co
    variables: {}
security: []
tags:
  - name: DocumentSubmissions
  - name: KYC
  - name: OAuth
  - name: Offers
  - name: Participations
  - name: Pii
  - name: Requirements
  - name: Swap
  - name: Token
  - name: Wallet
  - name: Wallet Ownership
paths:
  /v1/offers/{offer_id}/requirements:
    get:
      tags:
        - Requirements
      summary: List requirements for all options of an offer
      operationId: listOfferRequirements
      parameters:
        - description: The offer ID
          in: path
          name: offer_id
          required: true
          schema:
            type: string
            x-struct: null
            x-validate: null
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OfferRequirements'
          description: Successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Error response.
      callbacks: {}
      security:
        - OAuth2: []
components:
  schemas:
    OfferRequirements:
      properties:
        object:
          description: >-
            String representing the object's type. Objects of the same type
            share the same value.
          enum:
            - offer_requirements
          type: string
          x-struct: null
          x-validate: null
        offer_id:
          description: The offer ID
          type: string
          x-struct: null
          x-validate: null
        options:
          additionalProperties:
            properties:
              data:
                items:
                  $ref: '#/components/schemas/OptionRequirement'
                type: array
                x-struct: null
                x-validate: null
              object:
                description: >-
                  String representing the object's type. Objects of the same
                  type share the same value.
                enum:
                  - list
                type: string
                x-struct: null
                x-validate: null
            required:
              - object
              - data
            type: object
            x-struct: null
            x-validate: null
          description: Map of option ID to list of requirements for that option
          type: object
          x-struct: null
          x-validate: null
      required:
        - object
        - offer_id
        - options
      title: OfferRequirements
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.OfferRequirements
      x-validate: null
    Error:
      additionalProperties: false
      properties:
        code:
          description: A human-readable message providing more details about the error.
          type: string
          x-struct: null
          x-validate: null
        errors:
          additionalProperties:
            items:
              type: string
              x-struct: null
              x-validate: null
            type: array
            x-struct: null
            x-validate: null
          type: object
          x-struct: null
          x-validate: null
        event_id:
          description: >-
            The unique identifier for the error event. This is useful for
            tracking and debugging.
          type: string
          x-struct: null
          x-validate: null
        message:
          description: >-
            For some errors that could be handled programmatically, a short
            string indicating the error code reported.
          type: string
          x-struct: null
          x-validate: null
        type:
          description: >-
            The type of error returned. One of `api_error`,
            `invalid_request_error`
          enum:
            - api_error
            - invalid_request_error
          type: string
          x-struct: null
          x-validate: null
      required:
        - type
        - message
      title: Error
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.ApiError
      x-validate: null
    OptionRequirement:
      properties:
        details:
          description: |
            Requirement-specific details.
            Null for kyc_approved and accreditation types.
            ExternalWalletDetails for external_wallet type.
            WhitelistedWalletDetails for whitelisted_wallet type.
            JurisdictionDetails for jurisdiction type.
            DocumentDetails for document type.
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/OptionRequirementExternalWalletDetails'
            - $ref: '#/components/schemas/OptionRequirementWhitelistedWalletDetails'
            - $ref: '#/components/schemas/OptionRequirementJurisdictionDetails'
            - $ref: '#/components/schemas/OptionRequirementDocumentDetails'
          x-struct: null
          x-validate: null
        id:
          description: Unique identifier for the object.
          example: 05edea81-98a7-4582-aa7c-040d57cb1858
          type: string
          x-struct: null
          x-validate: null
        object:
          description: >-
            String representing the object's type. Objects of the same type
            share the same value.
          enum:
            - requirement
          type: string
          x-struct: null
          x-validate: null
        type:
          description: The requirement type
          enum:
            - kyc_approved
            - external_wallet
            - whitelisted_wallet
            - jurisdiction
            - accreditation
            - document
          example: kyc_approved
          type: string
          x-struct: null
          x-validate: null
      required:
        - object
        - id
        - type
      title: OptionRequirement
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.OptionRequirement
      x-validate: null
    OptionRequirementExternalWalletDetails:
      properties:
        protocol:
          description: The blockchain protocol
          example: ethereum
          type: string
          x-struct: null
          x-validate: null
      required:
        - protocol
      title: OptionRequirementExternalWalletDetails
      type: object
      x-struct: >-
        Elixir.FrontlineAPIWeb.OpenApi.Schemas.OptionRequirement.ExternalWalletDetails
      x-validate: null
    OptionRequirementWhitelistedWalletDetails:
      properties:
        max_wallets:
          description: >-
            Maximum number of whitelisted wallets a user may connect for this
            option
          example: 1
          type: integer
          x-struct: null
          x-validate: null
      required:
        - max_wallets
      title: OptionRequirementWhitelistedWalletDetails
      type: object
      x-struct: >-
        Elixir.FrontlineAPIWeb.OpenApi.Schemas.OptionRequirement.WhitelistedWalletDetails
      x-validate: null
    OptionRequirementJurisdictionDetails:
      properties:
        filter_type:
          description: The type of filter
          enum:
            - allow
            - reject
          example: allow
          type: string
          x-struct: null
          x-validate: null
        filters:
          description: List of jurisdiction filters
          items:
            $ref: '#/components/schemas/OptionRequirementJurisdictionFilter'
          type: array
          x-struct: null
          x-validate: null
      required:
        - filter_type
        - filters
      title: OptionRequirementJurisdictionDetails
      type: object
      x-struct: >-
        Elixir.FrontlineAPIWeb.OpenApi.Schemas.OptionRequirement.JurisdictionDetails
      x-validate: null
    OptionRequirementDocumentDetails:
      properties:
        document_type:
          description: The type of document the user must sign
          enum:
            - tax_certification
          example: tax_certification
          type: string
          x-struct: null
          x-validate: null
      required:
        - document_type
      title: OptionRequirementDocumentDetails
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.OptionRequirement.DocumentDetails
      x-validate: null
    OptionRequirementJurisdictionFilter:
      properties:
        country_iso_2:
          description: The ISO 3166-1 alpha-2 country code
          example: US
          type: string
          x-struct: null
          x-validate: null
        regions:
          description: List of region codes for the country
          example:
            - CA
            - NY
          items:
            type: string
            x-struct: null
            x-validate: null
          type: array
          x-struct: null
          x-validate: null
      required:
        - country_iso_2
      title: OptionRequirementJurisdictionFilter
      type: object
      x-struct: >-
        Elixir.FrontlineAPIWeb.OpenApi.Schemas.OptionRequirement.JurisdictionFilter
      x-validate: null
  securitySchemes:
    OAuth2:
      description: OAuth 2.0 authorization and token endpoints
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize
          refreshUrl: /oauth/token
          scopes: {}
          tokenUrl: /oauth/token
        clientCredentials:
          refreshUrl: /oauth/token
          scopes: {}
          tokenUrl: /oauth/token
      type: oauth2

````